package id.iiyh.inatrading.feature.explore.domain

import id.iiyh.inatrading.feature.explore.data.model.LocationItem

data class LocationPage(
    val items: List<LocationItem>,
    val totalItem: Int,
    val totalPage: Int,
)

interface LocationRepository {
    suspend fun getLocations(page: Int, limit: Int): Result<LocationPage>
}
